Package htsjdk.samtools.metrics

# Class StringHeader

java.lang.Object
htsjdk.samtools.metrics.StringHeader

All Implemented Interfaces:
  `Header`, `Serializable`

public class StringHeader extends Object implements Header
A simple header who's data type is a single String. Should not be used for anything other than comments or descriptive text.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`StringHeader()`
Default constructor.
`StringHeader(String value)`
Constructor that uses the supplied value as the value of the header.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
Checks equality on the value of the header.
`String`
`getValue()`
`int`
`hashCode()`
`void`
`parse(String in)`
Parses the data contained in the String version of the header.
`void`
`setValue(String value)`
`String`
`toString()`
Converts the header to a String for persisting to a file.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StringHeader

public StringHeader()
Default constructor.

### StringHeader

public StringHeader(String value)
Constructor that uses the supplied value as the value of the header.

## Method Details

### parse

public void parse(String in)
Description copied from interface: `Header`
Parses the data contained in the String version of the header.

Specified by:
  `parse` in interface `Header`

### toString

public String toString()
Description copied from interface: `Header`
Converts the header to a String for persisting to a file.

Specified by:
  `toString` in interface `Header`
Overrides:
  `toString` in class `Object`

### getValue

public String getValue()

### setValue

public void setValue(String value)

### equals

public boolean equals(Object o)
Checks equality on the value of the header.

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`